function updatePrices(currency) {
    const priceElements = document.querySelectorAll('.sale_price');

    priceElements.forEach(element => {
      const usdPrice = element.getAttribute('data-usd-price');
      const cadPrice = element.getAttribute('data-cad-price');
      
      if (currency === 'USD') {
        element.textContent = usdPrice;
      } else if (currency === 'CAD') {
        element.textContent = cadPrice;
      }
    });
  }

  document.getElementById('currencySelect').addEventListener('change', function() {
    const selectedCurrency = this.value;
    updatePrices(selectedCurrency);
  });

  updatePrices(document.getElementById('currencySelect').value);


  
document.addEventListener("DOMContentLoaded", function() {
        document.getElementById("modelSelect").addEventListener("change", updateYearOptions);
        document.getElementById("searchButton").addEventListener("click", filterResults);
    });

    function updateYearOptions() {
        var model = document.getElementById("modelSelect").value;
        var yearSelect = document.getElementById("yearSelect");
        var yearOptions = yearSelect.querySelectorAll('option');
        yearOptions.forEach(function(option) {
            if(option.value === "") {
                option.style.display = "block";
            } else {
                option.style.display = "none";
            }
        });

        if (model) {
            var relevantOptions = yearSelect.querySelectorAll('option.' + model);
            relevantOptions.forEach(function(option) {
                option.style.display = "block";
            });
        }
    }

function filterResults() {
var model = document.getElementById("modelSelect").value;
var year = document.getElementById("yearSelect").value;

var orangeBoxes = document.querySelectorAll(".orangebox");
orangeBoxes.forEach(function(box) {
box.style.display = "none";
});

if (model === "FORD" && year === "F150") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div1").style.display = "block";
document.getElementById("div2").style.display = "block";
document.getElementById("div3").style.display = "block";
document.getElementById("div4").style.display = "block";
document.getElementById("div5").style.display = "block";
document.getElementById("div6").style.display = "block";
document.getElementById("div7").style.display = "block";
document.getElementById("div8").style.display = "block";
document.getElementById("div9").style.display = "block";
} else if (model === "FORD" && year === "TAURUS") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div10").style.display = "block";
} else if (model === "FORD" && year === "FLEX") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div11").style.display = "block";
} else if (model === "FORD" && year === "POLICE") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div12").style.display = "block";
} else if (model === "FORD" && year === "BRONCO") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div13").style.display = "block";
document.getElementById("div14").style.display = "block";
document.getElementById("div15").style.display = "block";
document.getElementById("div16").style.display = "block";
document.getElementById("div17").style.display = "block";
} else if (model === "BUICK" && year === "REGAL") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div18").style.display = "block";
document.getElementById("div19").style.display = "block";
} else if (model === "BUICK" && year === "VERANO") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div20").style.display = "block";
} else if (model === "BUICK" && year === "ENCORE") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div21").style.display = "block";
} else if (model === "CADILLAC" && year === "ATS") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div22").style.display = "block";
} else if (model === "CADILLAC" && year === "CTS") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div23").style.display = "block";
} else if (model === "CADILLAC" && year === "CT6") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div24").style.display = "block";
} else if (model === "CHEVROLET" && year === "CRUZE") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div25").style.display = "block";
document.getElementById("div26").style.display = "block";
} else if (model === "CHEVROLET" && year === "HHR") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div27").style.display = "block";
} else if (model === "CHEVROLET" && year === "COBALT") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div28").style.display = "block";
} else if (model === "CHEVROLET" && year === "EQUINOX") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div29").style.display = "block";
} else if (model === "CHEVROLET" && year === "SONIC") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div30").style.display = "block";
} else if (model === "CHEVROLET" && year === "TRAX") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div31").style.display = "block";
} else if (model === "CHEVROLET" && year === "MALIBU") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div32").style.display = "block";
} else if (model === "CHEVROLET" && year === "TRAVERSE") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div33").style.display = "block";
} else if (model === "GMC" && year === "TERRAIN") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div34").style.display = "block";
document.getElementById("div35").style.display = "block";
} else if (model === "LINCOLN" && year === "MKS/MKT") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div36").style.display = "block";
} else if (model === "PONTAIC" && year === "SOLSTICE") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div37").style.display = "block";
} else if (model === "SATURN" && year === "SKY") {
var orangeBoxe = document.querySelectorAll(".orangeboxs");
orangeBoxe.forEach(function(box) {
box.style.display = "none";
});
document.getElementById("div38").style.display = "block";
}
}
