function updatePrices(currency) {
    const priceElements = document.querySelectorAll('.sale_price');

    priceElements.forEach(element => {
      const usdPrice = element.getAttribute('data-usd-price');
      const cadPrice = element.getAttribute('data-cad-price');
      
      if (currency === 'USD') {
        element.textContent = usdPrice;
      } else if (currency === 'CAD') {
        element.textContent = cadPrice;
      }
    });
  }

  document.getElementById('currencySelect').addEventListener('change', function() {
    const selectedCurrency = this.value;
    updatePrices(selectedCurrency);
  });

  updatePrices(document.getElementById('currencySelect').value);